Skip to navigation

Get a version

Deprecated
View as Markdown

Gets information about an API version.

Note:

  • For API editors, this endpoint returns an HTTP 302 Found status code when the version status is pending. It also returns the /apis/{apiId}/tasks/{taskId} task status response header.
  • For API viewers, this endpoint returns an HTTP 404 Not Found when the version status is pending.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

apiIdstringRequired
The API's ID.
versionIdstringRequired
The API's version ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Response

Successful Response
versionobjectOptional
Information about the API version.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error